## org.codehaus.groovy.grails.plugins.web.filters
Class CompositeInterceptor

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.filters.CompositeInterceptor

All Implemented Interfaces:
  groovy.lang.GroovyObject, HandlerInterceptor

    public class CompositeInterceptor

extends Object
implements HandlerInterceptor, groovy.lang.GroovyObject

Constructor Summary
`CompositeInterceptor()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`void` `afterCompletion(HttpServletRequest request, HttpServletResponse response, Object o, Exception e)`
`Object` `getHandlers()`
`static Object` `getLOG()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Object` `invokeMethod(String method, Object arguments)`
`void` `postHandle(HttpServletRequest request, HttpServletResponse response, Object o, ModelAndView modelAndView)`
`boolean` `preHandle(HttpServletRequest request, HttpServletResponse response, Object o)`
`void` `setHandlers(Object value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeInterceptor

    public CompositeInterceptor()

Method Detail

### getLOG

    public static Object getLOG()

### getHandlers

    public Object getHandlers()

### setHandlers

    public void setHandlers(Object value)

### preHandle

    public boolean preHandle(HttpServletRequest request,
                             HttpServletResponse response,
                             Object o)

  Specified by:
    `preHandle` in interface `HandlerInterceptor`

### postHandle

    public void postHandle(HttpServletRequest request,
                           HttpServletResponse response,
                           Object o,
                           ModelAndView modelAndView)
                    throws Exception

  Specified by:
    `postHandle` in interface `HandlerInterceptor`
  Throws:
    `Exception`

### afterCompletion

    public void afterCompletion(HttpServletRequest request,
                                HttpServletResponse response,
                                Object o,
                                Exception e)
                         throws Exception

  Specified by:
    `afterCompletion` in interface `HandlerInterceptor`
  Throws:
    `Exception`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project